package com.goafanti.report.bo;

import java.util.HashMap;
import java.util.Map;

import com.goafanti.common.constant.AFTConstants;

public class DepartmentSalesReportBO {
	private String						id;
	private String						superId;
	private String						departmentName;
	private String						managerName;
	private int							memberCount	= 0;
	private int							level		= 0;
	private Map<String, SalesValues>	values;

	public DepartmentSalesReportBO() {
		this.values = new HashMap<>();
		this.values.put(AFTConstants.DAILY, new SalesValues());
		this.values.put(AFTConstants.WEEKLY, new SalesValues());
		this.values.put(AFTConstants.MONTHLY, new SalesValues());
		this.values.put(AFTConstants.QUARTERLY, new SalesValues());
		this.values.put(AFTConstants.ANNUALLY, new SalesValues());
	}

	public String getId() {
		return id;
	}

	public void setId(String id) {
		this.id = id;
	}

	public String getDepartmentName() {
		return departmentName;
	}

	public void setDepartmentName(String departmentName) {
		this.departmentName = departmentName;
	}

	public String getManagerName() {
		return managerName;
	}

	public void setManagerName(String managerName) {
		this.managerName = managerName;
	}

	public int getMemberCount() {
		return memberCount;
	}

	public void setMemberCount(int memberCount) {
		this.memberCount = memberCount;
	}

	public Map<String, SalesValues> getValues() {
		return values;
	}

	public void setValues(Map<String, SalesValues> values) {
		this.values = values;
	}

	public String getSuperId() {
		return superId;
	}

	public void setSuperId(String superId) {
		this.superId = superId;
	}

	public int getLevel() {
		return level;
	}

	public void setLevel(int level) {
		this.level = level;
	}

}
